# Generated by Django 2.2 on 2018-12-27 21:32

import datetime
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import faktura.models
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [migrations.swappable_dependency(settings.AUTH_USER_MODEL)]

    operations = [
        migrations.CreateModel(
            name="Invoice",
            fields=[
                (
                    "id",
                    models.UUIDField(
                        default=uuid.uuid4,
                        editable=False,
                        primary_key=True,
                        serialize=False,
                    ),
                ),
                (
                    "number",
                    models.CharField(
                        blank=True,
                        max_length=10,
                        null=True,
                        verbose_name="Invoice number",
                    ),
                ),
                (
                    "date_of_issue",
                    models.DateField(
                        default=datetime.date.today, verbose_name="Date of issue"
                    ),
                ),
                (
                    "due_date",
                    models.DateField(
                        default=faktura.models.get_due_date, verbose_name="Due date"
                    ),
                ),
                ("seller", models.CharField(max_length=1024, verbose_name="Issuer")),
                ("seller_details", models.TextField(verbose_name="Issuer details")),
                ("buyer", models.CharField(max_length=1024, verbose_name="Customer")),
                ("buyer_details", models.TextField(verbose_name="Customer details")),
                (
                    "status",
                    models.CharField(
                        choices=[("draft", "Draft"), ("final", "Final document")],
                        default="draft",
                        max_length=5,
                        verbose_name="Status",
                    ),
                ),
                (
                    "type",
                    models.CharField(
                        choices=[
                            ("invoice", "Invoice"),
                            ("proforma invoice", "Pro forma Invoice"),
                            ("credit note", "Credit note"),
                        ],
                        default="invoice",
                        max_length=16,
                        verbose_name="Type",
                    ),
                ),
                (
                    "includes_vat",
                    models.BooleanField(default=False, verbose_name="VAT payer"),
                ),
                ("vat", models.FloatField(default=0, verbose_name="VAT")),
                (
                    "currency",
                    models.CharField(
                        default="EUR", max_length=4, verbose_name="Currency"
                    ),
                ),
                ("discount", models.FloatField(default=0, verbose_name="Discount")),
                ("note", models.TextField(blank=True, null=True, verbose_name="Note")),
                ("created_at", models.DateTimeField(auto_now_add=True)),
                ("updated_at", models.DateTimeField(auto_now=True)),
                (
                    "author",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
                (
                    "invoice",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="proforma",
                        to="faktura.Invoice",
                    ),
                ),
            ],
            options={"ordering": ["-date_of_issue", "-number"]},
        ),
        migrations.CreateModel(
            name="Item",
            fields=[
                (
                    "id",
                    models.UUIDField(
                        default=uuid.uuid4,
                        editable=False,
                        primary_key=True,
                        serialize=False,
                    ),
                ),
                ("title", models.TextField(verbose_name="Title")),
                ("price", models.FloatField(verbose_name="Unit price")),
                (
                    "quantity",
                    models.PositiveIntegerField(default=1, verbose_name="Quantity"),
                ),
                (
                    "invoice",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="items",
                        related_query_name="item",
                        to="faktura.Invoice",
                    ),
                ),
            ],
        ),
    ]
